% script to separate text

close all
clear all
format compact

% settings
Components=4               % Number of independent components [2..NumberOfDocuments]
ClassFrac=0                % Reject frac for classification [0..1[, zero means no reject class
keywordstreshold=.30       % Treshold for finding keywords ]0..1[

% load data
load med_5class            % File holds term/document matrix X, terms, target labels
X=termDocNorm;
Targets=cell2mat(base.qrels);

% PCA
[T,L,D]=svd(X,0);

DL=D*L;
% Plot first five PC components against each other with given labels
figure(1); plotComp(DL,base,'PC comps with labels');    

% ICA
[S,A]=ica_bell2(DL(:,1:Components)',1,1e-3,1e-12,1); 
% Plot first five IC components against each other with given labels as color
figure(2); plotComp(S',base,'IC comps with labels');    

% Find positive direction, Find soft components and classify by angle
[S,A]=flipcomp_ica(S,A);
[S,A]=softmax_ica(S,A);
Estimats=classifyer_angel_ica(S,ClassFrac);

% Plot first five soft and fliped IC components against each other with estimated class colors
figure(3); plotComp(S',Estimats,'soft IC comps with estimated classes');    
% Plot IC components in time (documents)
figure(4); plotDynamicComp(S)
% Plot IC components in time (documents) as classifyed
figure(5); plotDynamicGroup(Estimats,ClassFrac);

% Cals keywords and build confusion matrix
keystr=calckeywords(T,A,terms,keywordstreshold);
cM=confusionMatrix(Targets,Estimats)

% by Thomas Kolenda DTU,IMM 2000